Summary: Warn the administrator if disk space is getting too low.
%define name e-smith-show-version
%define version 1.0.0
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Vendor:Altiplano bvba / www.altiplano.be / Info@Altiplano.Be
Copyright: (c)2003 Altiplano bvba, published under the GPL License
Packager: Michiel Blotwijk <michiel.blotwijk@altiplano.be>

Group: Applications/System
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base
AutoReqProv: no

%description
On a standard SME server, you only see the version number in the server-manager.
This little plug-in adds the update number to it. Furthermore it shows the 
version and update number in the console.

%changelog
* Sun Sep 21 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 1.0.0-1
- Initial release

%prep

%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(755,root,root)

%pre

%post
echo "*****************************************************************"
echo "* Please run /etc/e-smith/events/local/show-version to activate *"
echo "* show-version, or reboot the machine.                          *"
echo "*****************************************************************"

%preun
